﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SelfHostingDemo2.Client
{
    public partial class Form1 : Form
    {
        private DataService.DemoEntities dataService;
        private WCFService.AddingServiceClient wcfService;

        public Form1()
        {
            InitializeComponent();

            dataService = new DataService.DemoEntities(new Uri(@"http://localhost:8751/selfhosted/"));
            wcfService = new WCFService.AddingServiceClient();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataListBox.DataSource = dataService.Customers.ToList();
            DataListBox.DisplayMember = "CompanyName";
        }

        private void EqualsButton_Click(object sender, EventArgs e)
        {
            int number1;
            int number2;

            if ((!int.TryParse(Number1.Text, out number1)) || (!int.TryParse(Number2.Text, out number2)))
            {
                MessageBox.Show("Please enter valid integers");
            } 
            else
            {
                AnswerLabel.Text = wcfService.AddNumbers(number1, number2).ToString();
            }
        }
    }
}
