﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using System.Diagnostics;
using System.ServiceModel;

namespace SelfHostingDemo2.Server
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            // Startup our service
            try
            {
                System.ServiceModel.Web.WebServiceHost aHost = new System.ServiceModel.Web.WebServiceHost(typeof(SelfHostedService));
                aHost.Open();
            }
            catch (Exception ex)
            {
                Trace.WriteLine(ex, "Failed to start CRUD host");
            }

            try
            {
                ServiceHost host = new ServiceHost(typeof(AddingService));
                host.Open();
            }
            catch (Exception ex)
            {
                Trace.WriteLine(ex, "Failed to start WCF host");
            }

            Application.Run(new Form1());
        }
    }
}
